Bug 1662334 - Thinkpad X1 Carbon 4th gen doesn't always suspend on lid close
Summary: Thinkpad X1 Carbon 4th gen doesn't always suspend on lid close
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: upower
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-27 19:19 UTC by Chris Adams
Modified: 2019-11-27 23:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:13:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Chris Adams 2018-12-27 19:19:21 UTC
On my Thinkpad X1 running F29 (Mate desktop if it matters), closing the lid doesn't put the computer to sleep reliably. I believe that it works the first time after boot, but after that it does not. I can manually suspend the system though.

I'm starting with upower because I forgot that I had a problem with F27 as well when I updated to upower-0.99.8 from updates-testing (I rolled back to the previous upower release and it worked and I forgot to go back and investigate and file a bug report - sorry about that).

I'm not sure what debugging steps, logs, etc. are useful - just let me know.

Comment 1 Chris Bredesen 2019-08-15 15:54:34 UTC
I have been seeing this on F30 as well but I haven't got enough data to file what I think would be a qualified bug. Alas, I've had a lot of battery drain from a closed laptop not having suspended. If there are diag steps I am happy to try them.

Comment 2 Ben Cotton 2019-10-31 18:57:12 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-11-27 23:13:41 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.